Calldata
curl --request GET \
--url https://api.example.com/citrea/calldata \
--header 'Content-Type: application/json' \
--data '
{
"route_response": {},
"slippage": 123,
"signer": "<string>"
}
'import requests
url = "https://api.example.com/citrea/calldata"
payload = {
"route_response": {},
"slippage": 123,
"signer": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({route_response: {}, slippage: 123, signer: '<string>'})
};
fetch('https://api.example.com/citrea/calldata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/citrea/calldata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'route_response' => [
],
'slippage' => 123,
'signer' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/citrea/calldata"
payload := strings.NewReader("{\n \"route_response\": {},\n \"slippage\": 123,\n \"signer\": \"<string>\"\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/citrea/calldata")
.header("Content-Type", "application/json")
.body("{\n \"route_response\": {},\n \"slippage\": 123,\n \"signer\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/citrea/calldata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"route_response\": {},\n \"slippage\": 123,\n \"signer\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"calldata": "<string>"
}Calldata
Generate calldata for the Fibrous router contract for swap on Citrea
GET
/
citrea
/
calldata
Calldata
curl --request GET \
--url https://api.example.com/citrea/calldata \
--header 'Content-Type: application/json' \
--data '
{
"route_response": {},
"slippage": 123,
"signer": "<string>"
}
'import requests
url = "https://api.example.com/citrea/calldata"
payload = {
"route_response": {},
"slippage": 123,
"signer": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({route_response: {}, slippage: 123, signer: '<string>'})
};
fetch('https://api.example.com/citrea/calldata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/citrea/calldata",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'route_response' => [
],
'slippage' => 123,
'signer' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/citrea/calldata"
payload := strings.NewReader("{\n \"route_response\": {},\n \"slippage\": 123,\n \"signer\": \"<string>\"\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/citrea/calldata")
.header("Content-Type", "application/json")
.body("{\n \"route_response\": {},\n \"slippage\": 123,\n \"signer\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/citrea/calldata")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"route_response\": {},\n \"slippage\": 123,\n \"signer\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"calldata": "<string>"
}https://api.fibrous.finance/citrea/calldata
Request Body Parameters
object
required
The complete response object from the
/citrea/route endpoint.
This contains all the necessary information about the optimal route.number
required
Maximum acceptable slippage in percentage (0.1 to 49).
Example:
0.5 for 0.5% slippage tolerancestring
required
The address that will sign and execute the transaction.
This address must have sufficient balance of the input token.
Response
boolean
Indicates if the request was successful.
string
The hex-encoded calldata to execute the swap through the router contract.